/**************************************************************************
 *
 * SPDX-License-Identifier: GPL-2.0+
 *
 * GPL net driver for Solarflare network cards
 *
 * Written by Michael Brown <mbrown@fensystems.co.uk>
 *
 * Copyright Fen Systems Ltd. 2005
 * Copyright Level 5 Networks Inc. 2005
 * Copyright Solarflare Communications Inc. 2010
 *
 * This software may be used and distributed according to the terms of
 * the GNU General Public License version 2 (GPL), incorporated herein by
 * reference.  Drivers based on or derived from this code fall under
 * the GPL and must retain the authorship, copyright and license
 * notice.  This file is not a complete program and may only be used
 * when the entire operating system is licensed under the GPL.
 *
 ***************************************************************************/

#ifndef EFX_NIC_H
#define EFX_NIC_H

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

#include "efx_common.h"
#include <gpxe/netdevice.h>

/*******************************************************************************
 *
 *
 * Hardware API
 *
 *
 *******************************************************************************/

/* Data path entry points */
extern int efx_transmit ( struct net_device *netdev, struct io_buffer *iob );
extern void efx_poll ( struct net_device *netdev );
extern void efx_irq ( struct net_device *netdev, int enable );

/* Initialisation */
extern int efx_open ( struct net_device *netdev );
extern void efx_close ( struct net_device *netdev );

/* VPD */
extern int efx_vpd ( const uint8_t *vpd, size_t size, enum sf_vpd_tag tag,
		     uint16_t keyword, uint8_t *buf, size_t buflen );

#endif /* EFX_NIC_H */

/*
 * Local variables:
 *  c-basic-offset: 8
 *  c-indent-level: 8
 *  tab-width: 8
 * End:
 */
