/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2, or (at
 * your option) any later version.
 *
 * You can also choose to distribute this program under the terms of
 * the Unmodified Binary Distribution Licence (as given in the file
 * COPYING.UBDL), provided that you have satisfied its requirements.
 */
#include <stddef.h>
#include <curses.h>

/** @file
 *
 * MuCurses initialisation functions
 *
 */

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

/**
 * Initialise console environment
 *
 * @ret *win	return pointer to stdscr
 */
WINDOW *initscr ( void ) {
	/* determine console size */
	/* initialise screen */
	stdscr->scr->init( stdscr->scr );
	stdscr->height = LINES;
	stdscr->width = COLS;
	erase();
	return stdscr;
}

/**
 * Finalise console environment
 *
 */
int endwin ( void ) {
	attrset ( 0 );
	color_set ( 0, NULL );
	erase();
	stdscr->scr->exit( stdscr->scr );
	return OK;
}
