/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * Driver for Solarflare network controllers and boards
 * Copyright 2019 Solarflare Communications Inc.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 as published
 * by the Free Software Foundation, incorporated herein by reference.
 *
 * You can also choose to distribute this program under the terms of
 * the Unmodified Binary Distribution Licence (as given in the file
 * COPYING.UBDL), provided that you have satisfied its requirements.
 */

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

#include <gpxe/init.h>
#include <gpxe/reboot.h>
#include <gpxe/sf_main.h>

/**
 * Main sfconfig function
 *
 * @v argc
 * @v argv
 *
 */
void sfconfig ( void ) {
	int reboot_needed;

	/* Init main window */
	initscr ( );
	start_color ( );
	curs_set ( 0 );

	init_pair ( CPAIR_TEXT, COLOR_WHITE, COLOR_BLUE );
	init_pair ( CPAIR_CURRENT, COLOR_WHITE, COLOR_CYAN );
	init_pair ( CPAIR_DISABLED, COLOR_WHITE, COLOR_BLUE );
	init_pair ( CPAIR_INFO, COLOR_CYAN, COLOR_BLUE );

	reboot_needed = sfconfig_run ( );

	curs_set ( 1 );
	endwin ( );

	if ( reboot_needed ) {
		shutdown_exit();
		reboot ( );
	}
}

