/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * Driver for Solarflare network controllers and boards
 * Copyright 2019 Solarflare Communications Inc.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 as published
 * by the Free Software Foundation, incorporated herein by reference.
 *
 * You can also choose to distribute this program under the terms of
 * the Unmodified Binary Distribution Licence (as given in the file
 * COPYING.UBDL), provided that you have satisfied its requirements.
 */
#ifndef _GPXE_INSTANCE_H
#define _GPXE_INSTANCE_H

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

/** @file
 *
 * Identification of gPXE ROM instances from PCI bus/device/function
 *
 */

struct i386_all_regs;
struct net_device;

uint16_t fn_from_busdevfn ( uint16_t busdevfn );
uint16_t dev_from_busdevfn( uint16_t busdevfn );
uint16_t bus_from_busdevfn( uint16_t busdevfn );

extern void instance_set_pci_busdevfn ( struct i386_all_regs *ix86 );
extern struct net_device *instance_netdevice ( void );
uint32_t instance_pci_busdevfn ( void );

#endif /* _GPXE_INSTANCE_H */

