/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * Driver for Solarflare network controllers and boards
 * Copyright 2019 Solarflare Communications Inc.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 as published
 * by the Free Software Foundation, incorporated herein by reference.
 *
 * You can also choose to distribute this program under the terms of
 * the Unmodified Binary Distribution Licence (as given in the file
 * COPYING.UBDL), provided that you have satisfied its requirements.
 */
#ifndef _GPXE_SANITY_CHECKS_H
#define _GPXE_SANITY_CHECKS_H

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

/* Error codes */
enum sanity_checks_errors {
	SC_OK = 0,
	SC_EFAULT,
	SC_NO_NVO,
	SC_VCI_TOO_LONG,
	SC_BAD_BOOTTYPE,
	SC_BAD_LINK_SPEED,
	SC_BAD_USERID,
	SC_BAD_PASSWD,
	SC_BAD_RUSERID,
	SC_BAD_RPASSWD,
	SC_BAD_ITOR_IP,
	SC_BAD_NETMASK,
	SC_BAD_ITOR_IQN,
	SC_BAD_ITOR_DHCP_FLAG,
	SC_BAD_TGT_DHCP_FLAG,
	SC_BAD_CHAP_FLAG,
	SC_BAD_MCHAP_FLAG,
	SC_BAD_IQN_DHCP_FLAG,
	SC_BAD_TGT_NAME,
	SC_BAD_TGT_IQN,
	SC_BAD_LUN,
	SC_BAD_PORT,
	SC_BAD_BOOTIMAGE,
};

/* Array of error messages. */
extern char *sc_err_msgs[];

extern int sf_nvo_checks_netdev(struct net_device  *dev);

#endif /* _GPXE_SANITY_CHECKS_H */
