#!/usr/bin/env python
######################################################################
#
# SPDX-License-Identifier: GPL-2.0+
#
# Driver for Solarflare network controllers and boards
# Copyright 2019 Solarflare Communications Inc.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 as published
# by the Free Software Foundation, incorporated herein by reference.
#
# You can also choose to distribute this program under the terms of
# the Unmodified Binary Distribution Licence (as given in the file
# COPYING.UBDL), provided that you have satisfied its requirements.
#
######################################################################
#
import sys, struct

def kb(bytes):
  return float(bytes) / 1024.0

max_size = 65536

fname = sys.argv[1]
f = file(fname)
image = f.read()
f.close()

padded_size = len(image)

i = padded_size - 1
while (ord(image[i]) == 0xff):
  i -= 1
actual_size = i + 1
padding = padded_size - actual_size

print

if padded_size > max_size:
  print "***** ROM IS TOO BIG *****"

print "Padded size  : %5u bytes (%4.1fK)" % (padded_size, kb(padded_size))
print "Actual size  : %5u bytes (%4.1fK)" % (actual_size, kb(actual_size))
print "Padding      : %5u bytes (%4.1fK)" % (padding, kb(padding))

if actual_size >= max_size:
  excess = actual_size - max_size
  print "Actual excess: %5u bytes (%4.1fK)" % (excess, kb(excess))
else:
  slack = max_size - actual_size
  print "Actual slack : %5u bytes (%4.1fK)" % (slack, kb(slack))

print

